Bug 45327 - bad package if built as non-root
Summary: bad package if built as non-root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kbd (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-21 13:38 UTC by Enrico Scholz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-22 00:53:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-06-21 13:38:45 UTC
Description of Problem:

The install: rule of src/Makefile of kbd-1.06-1 tries to

| install -c -m 0755 -o root $(...

which fails as non-root. This results in missing files and a lot of files
with bad permissions.


How Reproducible:

evrytime

Steps to Reproduce:
1. become an ordinary user
2. rpm --rebuild kbd-1.06-1.src.rpm


Actual Results:

- a lot of "install: cannot change ownership ..." messages in the %install
stage
- missing files or files on bad locations (loadkey)
- bad permissions (all files in /usr/bin/* are 0600)

Comment 1 Enrico Scholz 2001-06-22 00:53:19 UTC
initscripts makes wrong assumptions about the place of loadkeys also:

|  [ -f /usr/bin/loadkeys ] || exit 0

loadkeys is in /bin.

Comment 2 Bernhard Rosenkraenzer 2001-06-25 09:40:07 UTC
Fixed in 1.06-2



Note You need to log in before you can comment on or make changes to this bug.